Skip to main content

Get Price Point By Id

GET 

/v1/sandbox/:sandbox_id/price-point/:price_point_id

Get Price Point by ID. Requires any of permissions: sandbox:config:view, sandbox:config:edit

Request

Path Parameters

    price_point_id uuidrequired

    Price Point ID

    sandbox_id uuidrequired

    Sandbox ID

Responses

Successful Response

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    strict_flag Strict Flag (boolean)

    Forces the quantity to be equal to a quantity on a Price Breakpoint.

    cap_flag Cap Flag (boolean)

    Only allows quantity to be fulfilled up the highest quantity on the Price Breakpoints

    current_breakpoints

    object[]

    Current Price Breakpoints.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    price_break_point_id uuid

    ID of the price break point

    price_item_id uuiddeprecated

    Deprecated. Use the currencies field instead.

    price Price (integer)deprecated

    Possible values: > 0

    Deprecated. Use the currencies field instead.

    quantity Quantity (integer)required

    Possible values: > 0

    Quantity for the price break point.

    currencies

    object[]

    List of currencies for this break point

  • Array [

  • price_break_point_currency_id uuid

    ID of the price break point currency

    price_item_id uuidrequired

    Item ID of the currency used to price.

    price Price (integer)required

    Possible values: > 0

    Price for the quantity.

  • ]

  • price_item_name Price Item Name (string)

    Name corresponding Item ID

  • ]

  • pre_sale_breakpoints

    object[]

    Previous Price Breakpoints.

  • Array [

  • custom_data

    object

    Custom data associated with the resource

    property name* string
    price_break_point_id uuid

    ID of the price break point

    price_item_id uuiddeprecated

    Deprecated. Use the currencies field instead.

    price Price (integer)deprecated

    Possible values: > 0

    Deprecated. Use the currencies field instead.

    quantity Quantity (integer)required

    Possible values: > 0

    Quantity for the price break point.

    currencies

    object[]

    List of currencies for this break point

  • Array [

  • price_break_point_currency_id uuid

    ID of the price break point currency

    price_item_id uuidrequired

    Item ID of the currency used to price.

    price Price (integer)required

    Possible values: > 0

    Price for the quantity.

  • ]

  • price_item_name Price Item Name (string)

    Name corresponding Item ID

  • ]

  • sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when the resource was created

    price_point_id uuid

    The Price Point ID.

Loading...